using System;

class Program
{
    static Int64 brojRedara(Int64 n, Int64 m)
    {
        if (n == 1)
        {
            return m;
        }

        if (m == 1)
        {
            return n;
        }

        return (n - 2) * 2 + m * 2 + (n - 2) * (m - 2) / 2;
    }
    
    static void Main()
    {
        var s = Console.ReadLine().Split();
        Int64 n = Int64.Parse(s[0]);
        Int64 m = Int64.Parse(s[1]);

        Console.WriteLine(brojRedara(n, m));
    }
}

// Ovom kodu je doprineo Milos